package link;

import exeptions.IllegalValueObjectArgument;

import java.net.MalformedURLException;
import java.net.URL;

public class LinkUrl {

	private final URL url;

	public LinkUrl(String urlString) throws IllegalValueObjectArgument {
		try {
			this.url = new URL(urlString);
		}
		catch (MalformedURLException e) {
			throw new IllegalValueObjectArgument(e.getMessage());
		}
	}

	public URL getUrl() {
		return url;
	}

	@Override
	public String toString() {
		return url.toString();
	}
}
