package tag.matcherImplementations;

import link.LinkUrl;
import tag.Tag;
import tag.TagMatcher;
import tag.TagName;

import java.util.Optional;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class CustomTagMatcher implements TagMatcher {

	private final Pattern regex;
	private final TagName tagName;

	public CustomTagMatcher(TagName name, String regexString) {
		this.regex = Pattern.compile(regexString); // TODO this could throw??
		this.tagName = name;
	}

	@Override
	public Optional<Tag> matches(LinkUrl linkUrl) {
		Matcher matcher = regex.matcher(linkUrl.toString());

		if (matcher.find()) {
			return Optional.of(new Tag(this.tagName, ""));
		}
		return Optional.empty();
	}

}
